iir1: Iir::ChebyshevII::LowPass< FilterOrder, StateType > Struct Template Reference

iir1

Public Member Functions | List of all members
Iir::ChebyshevII::LowPass< FilterOrder, StateType > Struct Template Reference

`#include <ChebyshevII.h>`

Inheritance diagram for Iir::ChebyshevII::LowPass< FilterOrder, StateType >:

## Public Member Functions
void | setup (double sampleRate, double cutoffFrequency, double stopBandDb)
void | setup (int reqOrder, double sampleRate, double cutoffFrequency, double stopBandDb)
void | setupN (double cutoffFrequency, double stopBandDb)
void | setupN (int reqOrder, double cutoffFrequency, double stopBandDb)
Public Member Functions inherited from Iir::CascadeStages< MaxStages, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

### template<int FilterOrder = 4, class StateType = DirectFormII>
struct Iir::ChebyshevII::LowPass< FilterOrder, StateType >

ChebyshevII lowpass filter

Parameters

  FilterOrder | Reserves memory for a filter of the order FilterOrder
  StateType | The filter topology: DirectFormI, DirectFormII, ...

## Member Function Documentation

## ◆ setup() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevII::LowPass< FilterOrder, StateType >::setup | ( | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | stopBandDb
| ) |  |
| inline

Calculates the coefficients of the filter

Parameters

  sampleRate | Sampling rate
  cutoffFrequency | Cutoff frequency.
  stopBandDb | Permitted ripples in dB in the stopband

## ◆ setup() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevII::LowPass< FilterOrder, StateType >::setup | ( | int | reqOrder,
|  | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | stopBandDb
| ) |  |
| inline

Calculates the coefficients of the filter

Parameters

  reqOrder | Requested order which can be less than the instantiated one
  sampleRate | Sampling rate
  cutoffFrequency | Cutoff frequency.
  stopBandDb | Permitted ripples in dB in the stopband

## ◆ setupN() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevII::LowPass< FilterOrder, StateType >::setupN | ( | double | cutoffFrequency,
|  | double | stopBandDb
| ) |  |
| inline

Calculates the coefficients of the filter

Parameters

  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  stopBandDb | Permitted ripples in dB in the stopband

## ◆ setupN() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevII::LowPass< FilterOrder, StateType >::setupN | ( | int | reqOrder,
|  | double | cutoffFrequency,
|  | double | stopBandDb
| ) |  |
| inline

Calculates the coefficients of the filter

Parameters

  reqOrder | Requested order which can be less than the instantiated one
  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  stopBandDb | Permitted ripples in dB in the stopband

The documentation for this struct was generated from the following file:

- iir/ChebyshevII.h